Api referenceNewsletterDomains

List publication domains (Preview)

Preview · Available to selected organizations. Returns this newsletter's domains in hostname order with their latest recorded verification status.

GET
/v1/newsletters/{id}/domains

Returns this newsletter's domains in hostname order with their latest recorded verification status. Removed domains are omitted. Pass nextCursor as cursor for the next page; it is null on the last page. Get a domain to recheck its current DNS and certificate status. Requires newsletters.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?PublicationDomainCursor|null

Response Body

PublicationDomainPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.newsletters.domains.list({  "id": "example"});
Example Response
{  "items": [    {      "organizationId": "string",      "topicId": "string",      "hostname": "string",      "canonicalHostname": "string",      "phase": "pending",      "active": true,      "hostnameStatus": "string",      "sslStatus": "string",      "cname": {        "type": "CNAME",        "name": "string",        "value": "string"      },      "verificationRecords": [        {          "type": "CNAME",          "name": "string",          "value": "string"        }      ],      "verificationErrors": [        "string"      ]    }  ],  "nextCursor": "string"}